#!/usr/bin/env python3
"""
Module Docstring
Goes through all folder and gets the StreamVideoTrace from each of the .rar
files in the folder and concatenates them. One for each folder.
"""

__author__ = "Your Name"
__version__ = "0.1.0"
__license__ = "MIT"
import os
import zipfile
import glob
import pathlib
import shutil

def concatenate():
    
    path1=pathlib.Path(__file__).parent.absolute()
    for j in os.listdir(path1):
        if "Geo" in j: #Game Title
            path =str(path1)+"\\"+j
            with open("concatenate" + j[3:] + ".txt", 'w+') as outfile:
                for i in os.listdir(path):
                    if ".zip" in i: 
                        with zipfile.ZipFile(path+"\\"+i, 'r') as zipObj:
                            listOfFileNames = zipObj.namelist()
                            for fileName in listOfFileNames:
                                if fileName.endswith('.txt'):
                                    zipObj.extract(fileName)
                                    with open('StreamVideoTrace.txt','r') as infile:
                                        for line in infile:
                                            outfile.write(line)
                            
    
def main():
    concatenate()


if __name__ == "__main__":
    """ This is executed when run from the command line """
    main()
