package com.company;

import java.util.HashMap;

public class Frame {
    private Double frameage;
    private Double frameSize;
    private String frameResult;
    private HashMap<String,Double> frameEventTime;

    public Frame(Double frameage, Double frameSize, String frameResult, HashMap<String,Double> frameEventTime) {
        this.frameage = frameage;
        this.frameSize = frameSize;
        this.frameResult = frameResult;
        this.frameEventTime = frameEventTime;
    }



    public Double getCaptureTime(){
        return (frameEventTime.get("CaptureEnd"));
    }

    public Double getConvertTime(){
        return (frameEventTime.get("ConvertEnd"));
    }

    public Double getEncodeTime(){
        return (frameEventTime.get("EncodeEnd"));
    }

    public Double getTransferTime(){
        return (frameEventTime.get("Recv"));
    }

    public Double getDecodeTime(){
        return (frameEventTime.get("DecodeEnd"));
    }

    public Double getUploadTime(){
        return (frameEventTime.get("UploadEnd"));
    }

    public Double getFrameage() {
        return frameage;
    }

    public void setFrameage(Double frameage) {
        this.frameage = frameage;
    }

    public Double getFrameSize() {
        return frameSize;
    }

    public void setFrameSize(Double frameSize) {
        this.frameSize = frameSize;
    }

    public String getFrameResult() {
        return frameResult;
    }

    public void setFrameResult(String frameResult) {
        this.frameResult = frameResult;
    }

    public Double getCompleteTime() {
        return (frameEventTime.get("Complete"));
    }

}
